Kerbal Space Program - Bug #20265

Burn Time and Start Burn counted incorrectly
10/20/2018 06:41 AM - Marschig

Status: Not Fixed Start date: 10/20/2018
Priority: Low % Done: 50%
Assignee:

Category: Controls and Ul

Target version: 1.6.0

Version: 1.5.0 Expansion: Core Game
Platform: Windows Language: English (US)
Description

A new indicator takes into account all turned on engines. Not engines that can work. This leads to a wrong calculation when the
oxidizer ends in chemical engines and only nuclear engines work.

This can be solved by turning off unnecessary engines, but it’s inconvenient in some cases.

History

#2 - 10/21/2018 08:36 PM - just_jim

- Status changed from New to Confirmed

- % Done changed from 0 to 10

It took me a second to figure out what's going on, but yes, after putting the attached ship in orbit, and setting up a maneuver, | can confirm the BTI

seems to be taking into account all 4 engines, despite there being no available oxidizer. Build 2336

#3 - 12/20/2018 07:45 PM - joshua.collins

- Status changed from Confirmed to Ready to Test

- Target version set to 1.6.0

- % Done changed from 10 to 80

#4 - 05/08/2019 07:17 AM - k-ohara5a5a@oco.net

- File screenshot3.png added

- File screenshot4.png added

- Status changed from Ready to Test to Not Fixed

- % Done changed from 80 to 50

| don’t see any change in recent versions.

The burn-time does notice that there is no oxidizer, and corrects its estimate, as soon as you open the throttle. After doing that once, further
burn-time estimates are correct.
